package com.toughra.ustadmobile.databinding;
import com.toughra.ustadmobile.R;
import com.toughra.ustadmobile.BR;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import android.view.View;
@SuppressWarnings("unchecked")
public class ItemDiscussionPostListDetailBindingImpl extends ItemDiscussionPostListDetailBinding implements com.toughra.ustadmobile.generated.callback.OnClickListener.Listener {

    @Nullable
    private static final androidx.databinding.ViewDataBinding.IncludedLayouts sIncludes;
    @Nullable
    private static final android.util.SparseIntArray sViewsWithIds;
    static {
        sIncludes = null;
        sViewsWithIds = new android.util.SparseIntArray();
        sViewsWithIds.put(R.id.imageView2, 7);
    }
    // views
    @NonNull
    private final androidx.constraintlayout.widget.ConstraintLayout mboundView0;
    // variables
    @Nullable
    private final android.view.View.OnClickListener mCallback72;
    // values
    // listeners
    // Inverse Binding Event Handlers

    public ItemDiscussionPostListDetailBindingImpl(@Nullable androidx.databinding.DataBindingComponent bindingComponent, @NonNull View root) {
        this(bindingComponent, root, mapBindings(bindingComponent, root, 8, sIncludes, sViewsWithIds));
    }
    private ItemDiscussionPostListDetailBindingImpl(androidx.databinding.DataBindingComponent bindingComponent, View root, Object[] bindings) {
        super(bindingComponent, root, 0
            , (android.widget.ImageView) bindings[7]
            , (android.widget.TextView) bindings[6]
            , (android.widget.TextView) bindings[4]
            , (android.widget.TextView) bindings[3]
            , (android.widget.TextView) bindings[2]
            , (de.hdodenhof.circleimageview.CircleImageView) bindings[1]
            , (android.widget.TextView) bindings[5]
            );
        this.itemDiscussionPostListDetailNumOfReplies.setTag(null);
        this.itemDiscussionPostListDetailPostLatestMessage.setTag(null);
        this.itemDiscussionPostListDetailPostTitle.setTag(null);
        this.itemDiscussionPostListDetailSenderPersonName.setTag(null);
        this.itemDiscussionPostListDetailSenderPersonPic.setTag(null);
        this.itemDiscussionPostListDetailTimestamp.setTag(null);
        this.mboundView0 = (androidx.constraintlayout.widget.ConstraintLayout) bindings[0];
        this.mboundView0.setTag(null);
        setRootTag(root);
        // listeners
        mCallback72 = new com.toughra.ustadmobile.generated.callback.OnClickListener(this, 1);
        invalidateAll();
    }

    @Override
    public void invalidateAll() {
        synchronized(this) {
                mDirtyFlags = 0x4L;
        }
        requestRebind();
    }

    @Override
    public boolean hasPendingBindings() {
        synchronized(this) {
            if (mDirtyFlags != 0) {
                return true;
            }
        }
        return false;
    }

    @Override
    public boolean setVariable(int variableId, @Nullable Object variable)  {
        boolean variableSet = true;
        if (BR.discussionPost == variableId) {
            setDiscussionPost((com.ustadmobile.lib.db.entities.DiscussionPostWithDetails) variable);
        }
        else if (BR.mPresenter == variableId) {
            setMPresenter((com.ustadmobile.core.controller.DiscussionTopicDetailPresenter) variable);
        }
        else {
            variableSet = false;
        }
            return variableSet;
    }

    public void setDiscussionPost(@Nullable com.ustadmobile.lib.db.entities.DiscussionPostWithDetails DiscussionPost) {
        this.mDiscussionPost = DiscussionPost;
        synchronized(this) {
            mDirtyFlags |= 0x1L;
        }
        notifyPropertyChanged(BR.discussionPost);
        super.requestRebind();
    }
    public void setMPresenter(@Nullable com.ustadmobile.core.controller.DiscussionTopicDetailPresenter MPresenter) {
        this.mMPresenter = MPresenter;
        synchronized(this) {
            mDirtyFlags |= 0x2L;
        }
        notifyPropertyChanged(BR.mPresenter);
        super.requestRebind();
    }

    @Override
    protected boolean onFieldChange(int localFieldId, Object object, int fieldId) {
        switch (localFieldId) {
        }
        return false;
    }

    @Override
    protected void executeBindings() {
        long dirtyFlags = 0;
        synchronized(this) {
            dirtyFlags = mDirtyFlags;
            mDirtyFlags = 0;
        }
        java.lang.String discussionPostDiscussionPostMessage = null;
        long discussionPostPostLatestMessageTimestamp = 0;
        java.lang.String discussionPostDiscussionPostTitle = null;
        java.lang.String itemDiscussionPostListDetailNumOfRepliesAndroidStringNumRepliesDiscussionPostPostRepliesCount = null;
        java.lang.String discussionPostAuthorPersonFirstNamesChar = null;
        com.ustadmobile.port.android.view.util.ForeignKeyAttachmentUriAdapter personDetailFragmentFOREIGNKEYADAPTERPERSON = null;
        com.ustadmobile.lib.db.entities.DiscussionPostWithDetails discussionPost = mDiscussionPost;
        long discussionPostDiscussionPostStartedPersonUid = 0;
        java.lang.String discussionPostAuthorPersonFirstNamesCharDiscussionPostAuthorPersonLastName = null;
        int discussionPostPostRepliesCount = 0;
        com.ustadmobile.core.controller.DiscussionTopicDetailPresenter mPresenter = mMPresenter;
        java.lang.String discussionPostAuthorPersonFirstNames = null;
        java.lang.String discussionPostAuthorPersonLastName = null;

        if ((dirtyFlags & 0x4L) != 0) {

                // read PersonDetailFragment.FOREIGNKEYADAPTER_PERSON
                personDetailFragmentFOREIGNKEYADAPTERPERSON = com.ustadmobile.port.android.view.PersonDetailFragment.getFOREIGNKEYADAPTER_PERSON();
        }
        if ((dirtyFlags & 0x5L) != 0) {



                if (discussionPost != null) {
                    // read discussionPost.discussionPostMessage
                    discussionPostDiscussionPostMessage = discussionPost.getDiscussionPostMessage();
                    // read discussionPost.postLatestMessageTimestamp
                    discussionPostPostLatestMessageTimestamp = discussionPost.getPostLatestMessageTimestamp();
                    // read discussionPost.discussionPostTitle
                    discussionPostDiscussionPostTitle = discussionPost.getDiscussionPostTitle();
                    // read discussionPost.discussionPostStartedPersonUid
                    discussionPostDiscussionPostStartedPersonUid = discussionPost.getDiscussionPostStartedPersonUid();
                    // read discussionPost.postRepliesCount
                    discussionPostPostRepliesCount = discussionPost.getPostRepliesCount();
                    // read discussionPost.authorPersonFirstNames
                    discussionPostAuthorPersonFirstNames = discussionPost.getAuthorPersonFirstNames();
                    // read discussionPost.authorPersonLastName
                    discussionPostAuthorPersonLastName = discussionPost.getAuthorPersonLastName();
                }


                // read @android:string/num_replies
                itemDiscussionPostListDetailNumOfRepliesAndroidStringNumRepliesDiscussionPostPostRepliesCount = itemDiscussionPostListDetailNumOfReplies.getResources().getString(R.string.num_replies, discussionPostPostRepliesCount);
                // read (discussionPost.authorPersonFirstNames) + (' ')
                discussionPostAuthorPersonFirstNamesChar = (discussionPostAuthorPersonFirstNames) + (' ');


                // read ((discussionPost.authorPersonFirstNames) + (' ')) + (discussionPost.authorPersonLastName)
                discussionPostAuthorPersonFirstNamesCharDiscussionPostAuthorPersonLastName = (discussionPostAuthorPersonFirstNamesChar) + (discussionPostAuthorPersonLastName);
        }
        // batch finished
        if ((dirtyFlags & 0x5L) != 0) {
            // api target 1

            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.itemDiscussionPostListDetailNumOfReplies, itemDiscussionPostListDetailNumOfRepliesAndroidStringNumRepliesDiscussionPostPostRepliesCount);
            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.itemDiscussionPostListDetailPostLatestMessage, discussionPostDiscussionPostMessage);
            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.itemDiscussionPostListDetailPostTitle, discussionPostDiscussionPostTitle);
            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.itemDiscussionPostListDetailSenderPersonName, discussionPostAuthorPersonFirstNamesCharDiscussionPostAuthorPersonLastName);
            com.ustadmobile.port.android.view.binding.ImageViewBindingsKt.setImageForeignKey(this.itemDiscussionPostListDetailSenderPersonPic, discussionPostDiscussionPostStartedPersonUid, (java.lang.String)null);
            com.ustadmobile.port.android.view.binding.DatePickerBindingAdapter2Kt.setDateWithRelativeTime(this.itemDiscussionPostListDetailTimestamp, discussionPostPostLatestMessageTimestamp);
        }
        if ((dirtyFlags & 0x4L) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.ImageViewBindingsKt.setImageForeignKeyAdapter(this.itemDiscussionPostListDetailSenderPersonPic, personDetailFragmentFOREIGNKEYADAPTERPERSON);
            com.ustadmobile.port.android.view.binding.ImageViewBindingsKt.imageForeignKeyPlaceholder(this.itemDiscussionPostListDetailSenderPersonPic, androidx.appcompat.content.res.AppCompatResources.getDrawable(itemDiscussionPostListDetailSenderPersonPic.getContext(), R.drawable.ic_account_circle_black_24dp));
            this.mboundView0.setOnClickListener(mCallback72);
        }
    }
    // Listener Stub Implementations
    // callback impls
    public final void _internalCallbackOnClick(int sourceId , android.view.View callbackArg_0) {
        // localize variables for thread safety
        // mPresenter != null
        boolean mPresenterJavaLangObjectNull = false;
        // discussionPost
        com.ustadmobile.lib.db.entities.DiscussionPostWithDetails discussionPost = mDiscussionPost;
        // mPresenter
        com.ustadmobile.core.controller.DiscussionTopicDetailPresenter mPresenter = mMPresenter;



        mPresenterJavaLangObjectNull = (mPresenter) != (null);
        if (mPresenterJavaLangObjectNull) {



            mPresenter.onClickPost(discussionPost);
        }
    }
    // dirty flag
    private  long mDirtyFlags = 0xffffffffffffffffL;
    /* flag mapping
        flag 0 (0x1L): discussionPost
        flag 1 (0x2L): mPresenter
        flag 2 (0x3L): null
    flag mapping end*/
    //end
}